class CapabilityMachinesController < RxModule::ApplicationController
  def self.set_target_before
    super + [:toggle]
  end

  model_data_store(CapabilityMachine)

  def before_set_targets
    return @models if params["filtered"].nil?
    id_filter = params["filtered"].select { |filter| filter[:id] == 'id' }
    return @models if id_filter.nil?
    @models =  CapabilityMachine.joins(:capability).where(id: id_filter[0][:value].split(","))
  end

  def before_filter(filter)
    return nil if filter[:id] == "id"
    filter[:id] = 'capability.name' if filter[:id] == 'capability_name'
    filter
  end

  def before_sort(filter)
    filter[:id] = 'capability.name' if filter[:id] == 'capability_name'
    filter
  end

  def toggle
    @model.toggle(:enabled)
    if @model.save
      JobRouter::Client.machine_update(@model.machine)
      render json: @model
    else
      render json: @model.errors, status: :unprocessable_entity
    end
  end

  private

  def model_params
    params.fetch(:capability_machine).permit( :id, :capability_id, :machine_id, :enabled)
  end
end

