class DeviceRoutingCommandDevicesController < RxModule::ApplicationController
  def self.set_target_before
    super + [:toggle]
  end

  model_data_store(DeviceRoutingCommandDevice)
  protect_with('DeviceRoutingCommand', 'DeviceRoutingCommand', RxModule::Authorization.crud(true, true, true, true, true))

  def before_set_targets
    return @models if params["filtered"].nil?
    id_filter = params["filtered"].select { |filter| filter[:id] == 'id' }
    return @models if id_filter.nil?
    @models = @models.where(id: id_filter[0][:value].split(","))
  end

  def before_filter(filter)
    return nil if filter[:id] == "id"
    filter
  end

  def toggle
    @model.toggle(:enabled)
    if @model.save
      #JobRouter::Client.machine_update(@model.machine)
      render json: @model
    else
      render json: @model.errors, status: :unprocessable_entity
    end
  end

  private

  def model_params
    params.fetch(:device_routing_command_device).permit( :id, :opcua_device_id, :device_routing_command_id, :enabled)
  end
end
