class ExtraRequirementsController < RxModule::ApplicationController
  model_data_store(ExtraRequirement)

  def create
    params=model_params
    extra_requirement = ExtraRequirement.new(node_id: params[:node_id], connector_id: params[:connector_id], job_process_id: params[:job_process_id])
    routing_command = DeviceRoutingCommand.find(params[:device_routing_command_id])
    extra_requirement.device_routing_command = routing_command
    device = Device.find(params[:device_id])
    extra_requirement.device = device
    if extra_requirement.save
      ActionCable.server.broadcast "everything", {
        model: JSON.parse(device.render_jbuilder_partial),
        class: 'Device',
        action: :update
      }
      render json: extra_requirement
    else
      render json: extra_requirement.errors, status: :unprocessable_entity
    end
  end

  def destroy
    extra_requirement = ExtraRequirement.find(params[:id])
    device = Device.find(extra_requirement[:node_id])
    if extra_requirement.destroy
      ActionCable.server.broadcast "everything", {
        model: JSON.parse(device.render_jbuilder_partial),
        class: 'Device',
        action: :update
      }
      render json: extra_requirement
    else
      render json: extra_requirement.errors, status: :unprocessable_entity
    end
  end

  def to_json(*args)
    render_jbuilder_partial
  end

  private

  def model_params
    params.fetch(:extra_requirement).permit( :id, :device_id, :device_routing_command_id, :node_id, :connector_id, :job_process_id)
  end
end
