class LmsConfigsController < RxModule::ApplicationController
  def self.set_target_before
    super + [:reinitialize]
  end

  # Since the LMS config is part of the settings, no point in having it's own permissions
  model_data_store(LmsConfig, {create: true, read: true, update: true, delete: true, index: true}, {create: false, read: false, update: false, delete: false, index: false})
  protect_with('Setting', 'Setting', RxModule::Authorization.crud(true, true, true, true, true))

  def reinitialize
    @model.reinitialize
    return render json: @model if @model.online
    render json: {error: "Failed to restart LMS connection."}, status: :unprocessable_entity
  end

  private

  def model_params
    params.fetch(:lms_config).permit(:length_left_bound, :length_right_bound, :priority, :lms_type, :external_dcs_id)
  end
end