class MesMachineStatesController < RxModule::ApplicationController
  model_data_store(MesMachineState)

  def create
    params = model_params
    machine = MesMachine.find_by_id(params[:mes_machine_id])
    machine_state = MesMachineState.new(name: params[:name], online: params[:online])
    machine_state.mes_machine = machine
    if machine_state.save
      JobRouter::Client.machine_update(machine)
      machine.on_machine_state_update
      render json: machine_state
    else
      render json: machine_state.errors, status: :unprocessable_entity
    end
  end

  def destroy
    machine_state = MesMachineState.find(params[:id])
    machine = machine_state.mes_machine
    if machine_state.destroy
      JobRouter::Client.machine_update(machine)
      machine.on_machine_state_update
      render json: machine
    else
      render json: machine_state.errors, status: :unprocessable_entity
    end
  end

  private

  def model_params
    params.fetch(:mes_machine_state).permit( :id, :mes_machine_id, :name, :online)
  end
end