class SettingsController < RxModule::ApplicationController
  model_data_store(Setting)

  def active_record_connection_pools
    render json: ActiveRecord::Base.connection_pool.stat
  end

  def to_json(*args)
    render_jbuilder_partial
  end

  private

  def model_params
    params.fetch(:setting).permit( :connection_type,
                                   :variant,
                                   :opcua_server_url,
                                   :device_root_path,
                                   :use_rx_scanners,
                                   :tag_data_source,
                                   :rx_data_fetch_timeout,
                                   :rx_data_max_fetch_attempts,
                                   :use_default_processes_on_fail_fetch,
                                   :mark_job_dead_after_x_visit,
                                   :job_stale_time,
                                   :launch_server_on_service_start,
                                   :load_balancing_mode,
                                   :data_format,
                                   :post_job_data,
                                   :lms_rule_mode,
                                   :inf_enabled,
                                   :inf_max_attempts,
                                   :inf_time_between_attempts,
                                   :route_cache_enabled,
                                   :loop_clustering_enabled,
                                   :job_create_workstation_enabled,
                                   :job_rework_enabled,
                                   :max_allowed_delayed_jobs)
  end
end