class TagConditionsController < RxModule::ApplicationController
  model_data_store(TagCondition)

  def create
    params = model_params

    if params[:job_process_id] > 0
      target = JobProcess.find(params[:job_process_id])
    else
      target = Capability.find(params[:capability_id])
    end
    if target.tag_condition
      tag_condition = target.tag_condition
    else
      tag_condition = target.build_tag_condition
    end
    if params[:condition].to_json == 'null'
      tag_condition.destroy
      render json: {}
      return
    end
    tag_condition[:condition] = params[:condition].to_json

    if target.save && tag_condition.save
      render json: tag_condition
    else
      render json: tag_condition.errors, status: :unprocessable_entity
    end
  end

  def index
    tag_conditions = TagCondition.all
    hash = tag_conditions.map do |tag_condition|
      {
          id: tag_condition[:id],
          condition: JSON.parse(tag_condition[:condition]),
          job_process_id: tag_condition[:job_process_id],
          capability_id: tag_condition[:capability_id]
      }
    end
    render json: hash
  end

  def show
    tag_condition = TagCondition.find(params[:id])
    condition = JSON.parse(tag_condition[:condition])
    render json: {id: tag_condition[:id], condition: condition, job_process_id: tag_condition[:job_process_id], capability_id: tag_condition[:capability_id]}
  end

  def to_json(*args)
    render_jbuilder_partial
  end

  def model_params
    params.fetch(:tag_condition).permit( :job_process_id, :capability_id, :condition => {})
  end
end

