import {FormProps, ModelInput, ModelProvider} from "@rx-suite/ui";
import {Model} from "@rx-suite/data";
import React from "react";
import {observer} from "mobx-react-lite";
import {Button, Dialog, DialogActions, DialogContent, DialogTitle} from "@material-ui/core";

interface DeviceTimerDialogProps extends FormProps{
    open: boolean,
    handleSubmit: (model:Model) => void,
    handleClose: () => void
}

export const DeviceTimerDialogComponent: React.FunctionComponent<DeviceTimerDialogProps> = observer(({model, open, handleSubmit, handleClose}) => {

    return (
        <div>
            <ModelProvider value={model}>
                <Dialog open={open} onClose={handleClose} aria-labelledby="form-dialog-title" maxWidth={"md"} fullWidth={true}>
                    <DialogTitle id="form-dialog-title">Add Routing Command</DialogTitle>
                    <DialogContent>
                        <ModelInput name={'variable'}/>
                        <ModelInput name={'time'}/>
                        <ModelInput name={'description'}/>
                        <DialogActions>
                            <Button onClick={handleClose} color={"secondary"}>
                                close
                            </Button>
                            <Button onClick={e => handleSubmit(model)} color={"secondary"}>
                                Submit
                            </Button>
                        </DialogActions>
                    </DialogContent>
                </Dialog>
            </ModelProvider>
        </div>
    )
});
