import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faExclamationTriangle} from "@rx-suite/pro-solid-svg-icons";
import {IconButton} from "@material-ui/core";
import React from "react";
import {FormProps} from "@rx-suite/ui";
import {useSnackbar} from "notistack";
import { t } from "@lingui/macro";

export const CRSDeviceButton: React.FunctionComponent<FormProps> = ({ model }) => {

    const {enqueueSnackbar} = useSnackbar();
    const handleStartOnClick = async (e:any) => {
        let error ="";
        try {
            const resp = await fetch(`/api/devices/${model.id}/force_reset`, {method: "GET"})
                .then(resp => resp.json())
                .then(data => {
                    console.log(data);
                    enqueueSnackbar(`${t`Status`}: ${data.status}`, {variant: "success"});
                });
        } catch (err) {
            error = err;
            console.error(error);
            enqueueSnackbar({error}, {variant: "error"});
        }
    };

    return (
        <IconButton onClick={handleStartOnClick} style={{color: 'rgb(244,67,54)'}}>
            <FontAwesomeIcon icon={faExclamationTriangle}/>
        </IconButton>
    )
}