import * as React from "react";
import {observer} from "mobx-react-lite";
import {useModelContext} from "@rx-suite/ui";
import {TagConditionComponent} from "../TagConditionComponent";
import {Utils as QbUtils} from "react-awesome-query-builder";

type JobProcessConditionTabProps = { }

export const JobProcessConditionsTab: React.FunctionComponent<JobProcessConditionTabProps> = observer(() => {
    const model = useModelContext();

    const setStateCB = (newTree, newConfig) => {
        //Tried to do through a state at first, but state would not update for some reason.
        model.viewModel.condition = QbUtils.jsonLogicFormat(newTree, newConfig);
        model.viewModel.submit();
    }

    return (
        <React.Fragment>
            <TagConditionComponent target={'job_process'} model={model} setStateCB={setStateCB}/>
        </React.Fragment>
    );
});
