import React from "react";
import {FormProps} from "@rx-suite/ui";
import {IconButton} from "@material-ui/core";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faCheck} from "@rx-suite/pro-solid-svg-icons";
import { t } from "@lingui/macro";
import {useSnackbar} from "notistack";

export const FinishJobButton: React.FunctionComponent<FormProps> = ({ model }) => {

    const {enqueueSnackbar} = useSnackbar();

    const handleOnClick = async (e:any) => {
        let error ="";
        try {
            const resp = await fetch(`/api/jobs/${model.id}/finish`, {method: "POST"})
                .then(resp => resp.json())
                .then(data => {
                    console.log(data);
                    enqueueSnackbar(`${t`Status`}: ${data.status}`, {variant: "success"});
                });
        } catch (err) {
            error = err;
            console.error(error);
            enqueueSnackbar({error}, {variant: "error"});
        }
    };

    return (
        <IconButton onClick={handleOnClick}>
            <FontAwesomeIcon icon={faCheck} color={'rgb(60,183,29)'}/>
        </IconButton>
    )
}