import React from "react";
import {FormProps} from "@rx-suite/ui";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faRecycle} from "@rx-suite/pro-solid-svg-icons";
import {IconButton} from "@material-ui/core";
import {useSnackbar} from "notistack";
import { t } from "@lingui/macro";

export const ResetJobButton: React.FunctionComponent<FormProps> = ({ model }) => {

    const {enqueueSnackbar} = useSnackbar();

    const handleOnClick = async (e:any) => {
        let error ="";
        try {
            const resp = await fetch(`/api/jobs/${model.id}/reset`, {method: "POST"})
                .then(resp => resp.json())
                .then(data => {
                    console.log(data);
                    enqueueSnackbar(`${t`Status`}: ${data.status}`, {variant: "success"});
                });
        } catch (err) {
            error = err;
            console.error(error);
            enqueueSnackbar({error}, {variant: "error"});
        }
    };

    return (
        <IconButton onClick={handleOnClick}>
            <FontAwesomeIcon icon={faRecycle} color={'rgb(232,150,44)'}/>
        </IconButton>
    )
}