import React from "react";
import {FormProps, ScannerField} from "@rx-suite/ui";
import {t} from "@lingui/macro";

type JobFinderScannerFieldProps = {
    jobNumber: string,
    onChange: (e: any) => void,
    onEnterKey: () => void,
    onComplete: (code: string) => void
}

export const JobFinderScannerField: React.FunctionComponent<JobFinderScannerFieldProps> = ({ jobNumber, onChange, onEnterKey, onComplete }) => {

    return (
        <ScannerField
                inputConfig={{
                    label: t`Job Number`,
                    value: jobNumber,
                    onChange: onChange,
                    onEnterKey: onEnterKey,
                    autoFocus: true,
                }}
                scanConfig={{
                    onComplete: onComplete,
                }}
            />
    )
}