import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {ModelSelect} from "@rx-suite/ui";
import {t} from "@lingui/macro";

type MachineJobStateBookingSelectorProps = {
    model: MachineModel
}

export const MachineJobStateBookingSelector: React.FunctionComponent<MachineJobStateBookingSelectorProps> = observer((props) => {
    const {model} = props;

    const jobBookingOptions = () => {
        return [
            {label: t`Use job State`, value: 'use_job_state'},
            {label: t`Auto Start by Routing`, value: 'auto_start'},
            {label: t`Auto Finish by Routing`, value: 'auto_finish'}
        ]
    }

    if(!model.sn){
        return null;
    }

    return (
        <div>
            <ModelSelect name={'apply_process_change_on'} options={jobBookingOptions()}/>
        </div>
    );
});
