import * as React from "react";
import {observer} from "mobx-react-lite";
import {TabPanel, TabPanelProps} from "../../../generic/TabPanel";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {MachineStateComponent} from "../../MachineStateComponent";

type MachineStateSettingsTabProps = {
    model: MachineModel
} & TabPanelProps

export const MachineStateSettingsTab: React.FunctionComponent<MachineStateSettingsTabProps> = observer((props) => {
    const {model, value, index} = props;

    return (
        <TabPanel value={value} index={index}>
            <MachineStateComponent model={model}/>
        </TabPanel>
    );
});
