import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {t} from "@lingui/macro";
import {useEffect} from "react";
import {RSDModelSelect} from "../../../router_state_dependant_controls/RSDModelSelect";

type MachineTargetRejectSelector = {
    model: MachineModel
}

export const MachineTargetRejectSelector: React.FunctionComponent<MachineTargetRejectSelector> = observer((props) => {
    const {model} = props;

    const [rejectMachines, setRejectMachines] = React.useState<any>([1])

    useEffect(() => {
        const resp = fetch(`/api/machines/reject_stations`, {
            method: "GET",
            headers: {'Content-Type': 'application/json'}
        }).then(resp => resp.json())
            .then(data => {
                setRejectMachines(data.map((machine) => ({
                    value: machine.id,
                    label: machine.name
                })));
                setRejectMachines((prevState) => [...prevState, {value: null, label: t`none`}])
            })
    }, [])

    if(!model.sn){
        return null;
    }

    return (
        <div>
            <RSDModelSelect model={model} name={'selected_reject'} options={rejectMachines}/>
        </div>
    );
});
