import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {t} from "@lingui/macro";
import {RSDModelInput} from "../../../router_state_dependant_controls/RSDModelInput";

type MachineForceDurationInputProps = {
    model: MachineModel
}

export const MachineForceDurationInput: React.FunctionComponent<MachineForceDurationInputProps> = observer((props) => {
    const {model} = props;

    // For MES machines, only allow a forced duration if it's on 'auto finish'
    if(model.sn && model.viewModel.apply_process_change_on != 'auto_finish'){
        return null;
    }

    let fieldText = t`Force Duration (seconds)`;
    if(model.sn){
        fieldText = t`Send Finished State After (seconds)`
    }

    return (
        <RSDModelInput label={fieldText} name={'force_duration'} model={model}/>
    );
});
