import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {RSDModelInput} from "../../../router_state_dependant_controls/RSDModelInput";
import {ModelInput} from "@rx-suite/ui";

type MachineNameInputProps = {
    model: MachineModel
}

export const MachineNameInput: React.FunctionComponent<MachineNameInputProps> = observer((props) => {
    const {model} = props;

    if(model.sn){
        return (
            <ModelInput name={'name'} disabled={true} hint={{title: 'Machine Name', text: 'The name of this machine can only be changed through Rx-Data.'}}/>
        )
    }

    return (
        <RSDModelInput name={'name'} model={model}/>
    );
});
