import * as React from "react";
import {observer} from "mobx-react-lite";
import {t} from "@lingui/macro";
import {SettingModel} from "../../stores/SettingStore";
import {TabPanel, TabPanelProps} from "../generic/TabPanel";
import {CheckboxField, ModelCheckbox} from "@rx-suite/ui";
import {ModelInput} from "@rx-suite/ui";

type AdditionalFeaturesTabProps = {
    settings: SettingModel
    disable: boolean;
} & TabPanelProps

export const AdditionalFeaturesTab: React.FunctionComponent<AdditionalFeaturesTabProps> = observer((props) => {
    const {settings, value, index, disable} = props;

    return (
        <TabPanel value={value} index={index}>
            <div>
                <ModelCheckbox
                    label={t`Enable Job Create Workstation`}
                    name={'job_create_workstation_enabled'}
                    hint={{title: t`Job Create Workstation`, text: t`This feature provides a workstation to start jobs as would a start point.`}}
                />
            </div>
            <div>
                <ModelCheckbox
                    label={t`Enable Job Rework Button`}
                    name={'job_rework_enabled'}
                    hint={{title: t`Job Rework Button`, text: t`This feature provides the rework button (traffic cone) on the job view.`}}
                />
            </div>
        </TabPanel>
    );
});
