import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import { t } from "@lingui/macro";
import {CapabilityStore} from "../../stores/machine/CapabilityStore";
import {CapabilityForm} from "./CapabilityForm";

export const CapabilitiesBreadModel = () => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Capability name`, "string"),
            makeColumn('display_name', t`Display name`, "string"),
        ]

    }, []);
    return (
        <BreadModel store={CapabilityStore} Form={CapabilityForm} columns={columns}/>
    )
};