import React from "react";
import {FormProps} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {SettingStore} from "../../stores/SettingStore";
import {LinearProgress} from "@material-ui/core";
import {OpcuaConnectorForm} from "./opcua/OpcuaConnectorForm";
import {MesConnectorForm} from "./mes/MesConnectorForm";

export const ConnectorForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    const settings = SettingStore.selectedModel;

    if(!settings) {
        return <LinearProgress color={'secondary'}/>
    }

    return (settings.connection_type === 'OPCUA' ? <OpcuaConnectorForm model={model}/> : <MesConnectorForm model={model}/>)
});