import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import { t } from "@lingui/macro"
import {DeviceTypeStore} from "../../stores/Device/DeviceTypeStore";
import {DeviceTypeForm} from "./DeviceTypeForm";
import {JobRouterControlStore} from "../../stores/JobRouterControlStore";

export const DeviceTypesBreadModel = () => {
    const routerInfo = JobRouterControlStore.selectedModel;
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Device Type Name`, "string"),
            makeColumn('root_node_id', t`Root Node Id`, "string")
        ]

    }, []);
    return (
        <BreadModel store={DeviceTypeStore} Form={DeviceTypeForm} columns={columns} tableProps={{showCreateButton: (routerInfo?.is_offline)}}/>
    )
};