import * as React from 'react';
import {SettingStore} from "../../stores/SettingStore";
import {OpcuaDevicesBreadModel} from "./opcua/OpcuaDevicesBreadModel";
import {LinearProgress} from "@material-ui/core";
import {MesDevicesBreadModel} from "./mes/MesDeviceBreadModel";
import {observer} from "mobx-react-lite";

export const DevicesBreadModel = observer(() => {
    const settings = SettingStore.selectedModel;

    if (!settings) {
        return <LinearProgress color={'primary'}/>
    }

    return (
        settings.connection_type === 'OPCUA' ? <OpcuaDevicesBreadModel/> : <MesDevicesBreadModel/>
    )
});