import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import { t } from "@lingui/macro";
import {DeviceStore} from "../../../stores/Device/DeviceStore";
import {SelectDeviceState} from "../../../components/devices/SelectDeviceState";
import {Model} from "@rx-suite/data";
import {observer} from "mobx-react-lite";
import {MesDeviceForm} from "./MesDeviceForm";

export const MesDevicesBreadModel = observer(() => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Name`, 'string'),
            {Header: t`State`, accessor: d => d, id: 'state', Cell: (cellInfo: {value: Model }) => {
                return <SelectDeviceState model={cellInfo.value}/>
            }, sortable: false}
        ]
    }, []);
    return (
        <BreadModel store={DeviceStore} Form={MesDeviceForm} columns={columns} tableProps={{ noLinkColumns: ['state']}}/>
    )
});