import React from "react";
import {FormProps, ModelInput, ModelForm, Conditional} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {RSDModelInput} from "../../../components/router_state_dependant_controls/RSDModelInput";
import {MesConnectorTab} from "../../../components/devices/form_tabs/mes/MesConnectorTab";
import {DeviceModel} from "../../../stores/Device/DeviceStore";
import {t} from "@lingui/macro";
import {TabsContainer} from "../../../components/generic/TabsContainer";
import {DeviceDataTrackingTab} from "../../../components/devices/form_tabs/DeviceDataTrackingTab";

export const MesDeviceForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    return (
        <ModelForm model={model} suppressImportExport suppressMakeCopy>
            <RSDModelInput name={'name'} model={model}/>
            {model.isNew && <ModelInput name={'number_of_outputs'}/>}
            <Conditional condition={!model.isNew}>
                <TabsContainer tabs={
                    [
                        {
                            label: t`Connectors`,
                            component: <MesConnectorTab device={model as DeviceModel}/>,
                            defaultTab: true
                        },
                        {
                            label: t`Data Tracking`,
                            component: <DeviceDataTrackingTab device={model as DeviceModel}/>
                        }
                    ]
                }
                />
            </Conditional>
        </ModelForm>
    )
})