import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import { t } from "@lingui/macro";
import {DeviceStore} from "../../../stores/Device/DeviceStore";
import {SelectDeviceState} from "../../../components/devices/SelectDeviceState";
import {DeviceButtons} from "../../../components/devices/DeviceButtons";
import {Model} from "@rx-suite/data";
import {observer} from "mobx-react-lite";
import {OpcuaDeviceForm} from "./OpcuaDeviceForm";

export const OpcuaDevicesBreadModel = observer(() => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Name`, 'string'),
            makeColumn('num_scanners', t`Number of scanners`, 'string'),
            {Header: t`State`, accessor: d => d, id: 'state', Cell: (cellInfo: {value: Model }) => {
                return <SelectDeviceState model={cellInfo.value}/>
            }, }
        ]
    }, []);
    return (
        <BreadModel store={DeviceStore} Form={OpcuaDeviceForm} columns={columns} tableProps={{ noLinkColumns: ['state'], actionColumnWidth: 250, customActions: (DeviceModel) => <DeviceButtons model={DeviceModel}/>}}/>
    )
});