import React, {useEffect} from "react";
import {FormProps} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {RxAppModel, RxAppStore} from "@rx-suite/stores";
import {JobFinderForm} from "./JobFinderForm";

export const JobFinderFormEntryPoint: React.FunctionComponent<FormProps> = observer(({model}) => {
    const [key, setKey] = React.useState(Math.random());
    const appModel = RxAppStore.selectedModel as RxAppModel;

    useEffect(() => {
        setKey(Math.random());
    },[appModel.drawerOpen])

    return (
        <JobFinderForm model={model} key={key}/>
    )
})