import React from "react";
import {FormProps, PaddedPaper} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {JobFinderForm} from "../job_finder/JobFinderForm";
import {JobInfo} from "../../components/jobs/JobInfo";
import {JobCreateInput} from "../../components/jobs/JobCreateInput";
import {Box} from "@material-ui/core";

export const JobForm: React.FunctionComponent<FormProps> = observer(({model}) => {

    const [jobFinderKey, setJobFinderKey] = React.useState<number>(Math.random());
    let jobCreate = (new URL(document.URL)).searchParams.get('jobCreate') === "true";

    return(
        <div>
            <Box mb={1}>
                {jobCreate ?
                    <JobCreateInput model={model}/> :
                    <JobFinderForm model={model} key={jobFinderKey}/>
                }
            </Box>
            <PaddedPaper>
                <JobInfo model={model}/>
            </PaddedPaper>
        </div>

    )
});