import * as React from 'react';
import {SettingStore} from "../../stores/SettingStore";
import {LinearProgress} from "@material-ui/core";
import {observer} from "mobx-react-lite";
import {OpcuaMachinesBreadModel} from "./OpcuaMachinesBreadModel";
import {MesMachinesBreadModel} from "./MesMachinesBreadModel";

export const MachinesBreadModel = observer(() => {
    const settings = SettingStore.selectedModel

    if (!settings) {
        return <LinearProgress color={'primary'}/>
    }

    const devicesBreadModel = settings.routing_level !== 'mes' ?
        <OpcuaMachinesBreadModel/> :
        <MesMachinesBreadModel/>

    return (
        devicesBreadModel
    )
});