import * as React from 'react';
import { DiagramEngine, PortWidget } from '@projectstorm/react-diagrams-core';
import { DefaultPortModel } from '@projectstorm/react-diagrams';
import styled from '@emotion/styled';

export interface DefaultPortLabelProps {
	port: DefaultPortModel;
	engine: DiagramEngine;
}

export const PortLabel = styled.div`
    display: flex;
    margin-top: 1px;
    align-items: center;
    white-space: nowrap;
    overflow: hidden;
    -webkit-font-smoothing: antialiased
`;

export const Label = styled.li`
    padding: 0 5px;
    flex-grow: 1;
`;

export const Port = styled.div`
    width: 15px;
    height: 15px;
    background: rgba(white, 0.1);

    &:hover {
        background: rgb(192, 255, 0);
    }
`;

export class ComponentPortLabel extends React.Component<DefaultPortLabelProps> {
	render() {
		const port = (
			<PortWidget engine={this.props.engine} port={this.props.port}>
				<Port />
			</PortWidget>
		);
		const label = <Label>{this.props.port.getOptions().label}</Label>;

		return (
			<PortLabel>
				{this.props.port.getOptions().alignment === 'left' ? port : label}
				{this.props.port.getOptions().alignment === 'left' ? label : port}
			</PortLabel>
		);
	}
}
