import * as React from 'react';
import styled from '@emotion/styled';

export interface DemoWorkspaceWidgetProps {
	buttons?: any;
}

export const Toolbar = styled.div`
    padding: 5px;
    display: flex;
    flex-shrink: 0;
`;

export const Content = styled.div`
    flex-grow: 1;
    height: 100%;
`;

export const Container = styled.div`
    background: black;
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden;
`;

export class DemoWorkspaceWidget extends React.Component<DemoWorkspaceWidgetProps> {
	render() {
		return (
			<Container>
				<Toolbar>{this.props.buttons}</Toolbar>
				<Content>{this.props.children}</Content>
			</Container>
		);
	}
}