import * as React from 'react';
import styled from '@emotion/styled';
import {ComponentModel, ComponentStore} from "../stores/ComponentStore";

export interface TrayItemWidgetProps {
	model: any;
	color?: string;
	id: number;
	name: string;
}

export const Tray = styled.div<{ color: string }>`
	color: white;
	font-family: Helvetica, Arial;
	padding: 5px;
	margin: 0px 10px;
	border: solid 1px ${(p) => p.color};
	border-radius: 5px;
	margin-bottom: 2px;
	cursor: pointer;
	direction: ltr;
`;

export class TrayItemWidget extends React.Component<TrayItemWidgetProps> {
	render() {
		return (
			<Tray
				color={this.props.color}
				draggable={true}
				onDragStart={(event) => {
					event.dataTransfer.setData('storm-diagram-node', JSON.stringify({id: this.props.id}));
				}}
				className="tray-item">
				{this.props.name}
			</Tray>
		);
	}
}