import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/components",
    permissionTarget: "Component",
    routingInfo: {
        create: '/components/create',
        read: '/components/:id/edit',
        update: '/components/:id/edit'
    }
})
export class ComponentModel extends Model {
    @attribute({
        label: t`Id`,
        validation: yup.number()
    })
    id: number = 0;

    @attribute({
        label: t`Name`,
        validation: yup.string()
    })
    name: string = '';

    @attribute({
        label: t`Online?`,
        validation: yup.boolean()
    })
    online: boolean = true;

    @attribute({
        label: t`Device Timer ids`,
        validation: yup.array().nullable()
    })
    device_timer_ids: object = [];

    constructor() {
        super();
        super.setup();
    }
}

export const ComponentStore = ComponentModel.store as DataStore<ComponentModel>;
