import {attribute, DataStore, model, Model} from "@rx-suite/data";
import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
    transportLayer: "/api/delayed_jobs_queue",
    singleton: true
})

export class DelayedJobQueueModel extends Model {
    @attribute({
        label: t`Count`,
        validation: yup.number()
    })
    count: number = 0;

    @attribute({
        label: t`Updated at`,
        validation: yup.string()
    })
    updated_at: string = '';

    constructor() {
        super();
        super.setup();
    }
}

export const DelayedJobQueueStore = DelayedJobQueueModel.store as DataStore<DelayedJobQueueModel>;
