import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/errors",
    permissionTarget: "Errors",
    routingInfo: {
        create: '/errors/create',
        read: '/errors/:id/edit',
        update: '/errors/:id/edit'
    }
})
export class ErrorModel extends Model {
    @attribute({
        label: t`Id`,
        validation: yup.number()
    })
    id: any = 0;

    @attribute({
        label: t`Error name`,
        validation: yup.string()
    })
    name: string = '';

    @attribute({
        label: t`Location`,
        validation: yup.string()
    })
    location: string = '';

    @attribute({
        label: t`Timestamp`,
        validation: yup.string()
    })
    created_at: string = '';

    constructor() {
        super();
        super.setup();
    }
}

export const ErrorStore = ErrorModel.store as DataStore<ErrorModel>;
