import {attribute, DataStore, Model, model, Types} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/job_histories",
    permissionTarget: "Job",
    routingInfo: {
    }
})

export class JobHistoryModel extends Model {
    @attribute({
        label: t`id`,
        validation: yup.number()
    })
    id: number = 0;

    @attribute({
        label: t`Event Type`,
        validation: yup.string()
    })
    event_type: string = '';

    @attribute({
        label: t`Last Known Location`,
        validation: yup.string()
    })
    location: string = '';

    @attribute({
        label: t`Last Known Connector`,
        validation: yup.string()
    })
    connector: string = '';

    @attribute({
        label: t`State`,
        validation: yup.string()
    })
    state: string = "";

    @attribute({
        label: t`Active`,
        validation: yup.boolean()
    })
    active: boolean = true;

    @attribute({
        label: t`Job Id`,
        validation: yup.number()
    })
    job_id: number = 0;

    @attribute({
        label: t`Time`,
        validation: yup.string()
    })
    time: string = "";

    @attribute({
        label: t`Update time`,
        validation: yup.array()
    })
    created_at: string = "";

    @attribute({
        label: t`Processes`,
        validation: yup.array()
    })
    processes: any[] = [];

    @attribute({
        label: t`Is estimated`,
        validation: yup.boolean()
    })
    is_estimated: boolean = true;

    @attribute({
        label: t`Reject reason`,
        validation: yup.string().nullable()
    })
    reject_reason: string = "";

    constructor() {
        super();
        super.setup();
    }
}

export const JobHistoryStore = JobHistoryModel.store as DataStore<JobHistoryModel>;