import {attribute, DataStore, Model, model} from "@rx-suite/data";
import {t} from "@lingui/macro";
import * as yup from "yup";
import {RequiredProcessModel} from "./RequiredProcessStore";

@model({
    transportLayer: "/api/required_process_state_histories",
    permissionTarget: "RequiredProcessStateHistory"
})

export class RequiredProcessStateHistoryModel extends Model {
    @attribute({
        label: t`Id`,
        validation: yup.number()
    })
    id: number = 0;

    @attribute({
        label: t`Source`,
        validation: yup.string()
    })
    source: string = '';

    @attribute({
        label: t`State`,
        validation: yup.string()
    })
    state: string = '';

    @attribute({
        label: t`Comment`,
        validation: yup.string()
    })
    comment: string = '';

    @attribute({
        label: t`Job State Timestamp`,
        validation: yup.string()
    })
    job_state_timestamp: string = '';

    @attribute({
        label: t`Created At`,
        validation: yup.string()
    })
    created_at: string = '';

    @attribute({
        label: t`Required Process Id`,
        validation: yup.number()
    })
    required_process_id: number = 0;

    constructor() {
        super();
        super.setup();
    }
}

export const RequiredProcessStateHistoryStore = RequiredProcessStateHistoryModel.store as DataStore<RequiredProcessStateHistoryModel>;