import consumer from "../../channels/consumer";
import {observable} from "mobx";

class RouterClient {
    @observable
    last_broadcast: string = '';

    @observable
    startup_progress: number = 0;
}

export const routerClient = new RouterClient();

consumer.subscriptions.create({ channel: "RouterClientChannel" }, {
    received(data: RouterClientData) {
        routerClient.last_broadcast = data.last_broadcast;
        routerClient.startup_progress = data.startup_progress;
    }
})

type RouterClientData = {
    last_broadcast: string;
    startup_progress: number;
}