import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/routing_graphs",
    permissionTarget: "RoutingGraph",
    routingInfo: {
        create: '/routingGraphs/create',
        read: '/routingGraphs/:id/edit',
        update: '/routingGraphs/:id/edit'
    }
})

export class RoutingGraphModel extends Model {
    @attribute({
        label: t`Id`,
        validation: yup.number()
    })
    id: number = 0;

    @attribute({
        label: t`Input`,
        validation: yup.object()
    })
    serialized_data: any = {};

    constructor() {
        super();
        super.setup();
    }
}

export const RoutingGraphStore = RoutingGraphModel.store as DataStore<RoutingGraphModel>;