import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: '/api/mes_machine_states',
    permissionTarget: "MesMachineState",
    routingInfo: {
        create: '/mes_machine_states/create',
    }
})

export class MesMachineStateModel extends Model {
    @attribute({
        label: t`Id`,
        validation: yup.number()
    })
    id: number = 0;

    @attribute({
        label: t`Name`,
        validation: yup.string()
    })
    name: string = "";

    @attribute({
        label: t`Online`,
        validation: yup.boolean()
    })
    online: boolean = true;

    @attribute({
        label: t`Mes machine id`,
        validation: yup.number()
    })
    mes_machine_id: number = 0;

    constructor() {
        super();
        super.setup();
    }
}

export const MesMachineStateStore = MesMachineStateModel.store as DataStore<MesMachineStateModel>;
