class ApplicationJob < ActiveJob::Base
  # Automatically retry jobs that encountered a deadlock
  # retry_on ActiveRecord::Deadlocked

  # Most jobs are safe to ignore if the underlying records are no longer available
  discard_on ActiveJob::DeserializationError

  rescue_from(StandardError) do |exception|
    Rails.logger.error "Failed running job #{self.class.name}"
    # If we don't re-raise the exception, the retry mechanism is not triggered
    raise exception
  end

  def reschedule_at(current_time, attempts)
    Time.now + 5.second
  end

  def max_attempts
    25
  end
end
