class JobPostJobStatesToRxDataJob < ApplicationJob
  queue_as :default

  def perform(data)
    return if data['jobStates'].nil? || data['jobStates'].empty?

    data['should_broadcast'] = false

    begin
      RxModule::Communicator.call_module_method(
        'rx_data',
        '/api/job_states/add_bulk',
        :put,
        data)
    rescue => err
      Rails::logger.error "Failed to send bulk job states to Rx-Data: #{err}"
    end
  end
end
