class JobScheduleProcessStateChangeJob < ApplicationJob
  queue_as :router_job_processes

  def perform(data)
    job = Job.job_message_target(data)
    machine = Machine.machine_message_target(data)

    unless job.nil? || machine.nil? || machine.job_process.nil?
      complete_at = DateTime.now + machine.force_duration.seconds
      Rails::logger.info "Scheduling process #{machine.job_process.name} for #{job.number} at #{complete_at}"
      ScheduledProcessChange.create(job: job, machine: machine, complete_at: complete_at)
    end
  end
end
