class JobUpdateLocationJob < ApplicationJob
  queue_as :router_job_location

  def perform(data)
    timestamp = data[:timestamp]
    job = Job.job_message_target(data)

    return if job.nil?

    location_data = Job.extract_job_location_data(data)
    job.update_location(location_data, timestamp)

    WorkerBroadcast.broadcast_model(job, WorkerBroadcast.action[:update])
  end
end
