class DelayedJobsQueue
  def self.check_vitals
    Rails::logger.info "Delayed Job queue size watch is running"
    count = Delayed::Job.count
    Rails::logger.info "We are currently at #{count} delayed jobs"
    settings = Setting.first
    if count >= settings.max_allowed_delayed_jobs
      Rails::logger.warn "Delayed job count is higher than the max allowed (#{count}/#{settings.max_allowed_delayed_jobs})"
      job_router = JobRouterControl.first
      if job_router.status == 'ready'
        Rails::logger.warn "Shutting down Router"
        JobRouter::Client.send_stop_connection
      end
    elsif count >= settings.max_allowed_delayed_jobs/2
      Rails::logger.warn "Delayed job count is higher than half of the max (#{count}/#{settings.max_allowed_delayed_jobs/2}), Restarting router"
      #TODO: restart router
    end
    ActionCable.server.broadcast "everything", {
        model: {
          id: 1,
          count: count,
          updated_at: Time.now
        },
        class: 'DelayedJobQueue',
        action: :update
    }
  end
end
