class ProcessRequest
  class NoProcesses < StandardError; end
  class JobDoesNotExist < StandardError; end
  class InvalidLensNumber < StandardError; end
  class FailedToFetchFromSource < StandardError; end
  class TimeoutWhileFetchingFromSource < StandardError; end

  attr_accessor :rx_data_id, :job_active, :job_number, :tags, :processes

  def initialize(job_number)
    @job_number = job_number
    @lens_numbers = nil
    @tags = {}
    @processes = nil
    @job_active = true
    @rx_data_id = nil
  end

  def required_sides
    sides = []
    sides << :right if do_right?
    sides << :left if do_left?
    sides
  end

  def lens_numbers_json
    return nil if @lens_numbers.nil?
    @lens_numbers.to_json
  end

  def fetch
    raise NotImplementedError
  end

  def do_right?
    return false if @tags.blank?
    !(@tags[:right].nil?)
  end

  def do_left?
    return false if @tags.blank?
    !(@tags[:left].nil?)
  end
end
