class Connector < ApplicationRecord
  belongs_to :component, :optional => true

  def as_opcua_json
    connector_data = {
      name: name,
      actionDelay: action_delay,
      priorityRating: priority,
      state: state,
      controlAction: control_action,
    }

    unless opcua_scanner_reference.nil?
      connector_data[:scanner] = {
        maxRetryOnFail: scanner_retry,
        type: 'opcua',
        data: {
          variable: opcua_scanner_reference
        }
      }
    end

    unless rx_scanner_reference.nil?
      connector_data[:scanner] = {
        maxRetryOnFail: scanner_retry,
        type: 'external',
        data: {
          id: rx_scanner_reference
        }
      }
    end

    connector_data
  end

  def update_client_payload
    {
        connectorName: self.name,
        priorityRating: self.priority,
        actionDelay: self.action_delay,
        state: self.state
    }
  end
end