class MesConnector < Connector
  after_create do |model|
    ActionCable.server.broadcast "everything", {
        model: JSON.parse(model.to_json),
        class: Connector.name,
        action: :create
    }
    if component.machine.nil?
      ActionCable.server.broadcast "everything", {
          model: JSON.parse({id: component.device.id, component_id: component_id, name: component[:name], state: component.device.device_state, connector_ids: component.connector_ids}.to_json),
          class: Device.name,
          action: :update
      }
    end
  end

  after_update do |model|
    ActionCable.server.broadcast "everything", {
        model: JSON.parse(model.to_json),
        class: Connector.name,
        action: :update
    }
  end

  after_destroy do |model|
    ActionCable.server.broadcast "everything", {
        model: JSON.parse(model.to_json),
        class: Connector.name,
        action: :destroy
    }
    if component.machine.nil?
      ActionCable.server.broadcast "everything", {
        model: JSON.parse({id: component.device.id, component_id: component_id, name: component[:name], state: component.device.device_state, connector_ids: component.connector_ids}.to_json),
        class: Device.name,
        action: :update
    }
    end
  end

  def should_broadcast?
    false
  end
end