module OpcuaDeviceDefinitions
  module Modular
    class ModularDevice < OpcuaDeviceDefinition
      class << self
        def instantiate_all
          SC::instantiate
          HT1::instantiate
          HT11::instantiate
          HTT2::instantiate
          HTT1::instantiate
          DG1::instantiate
          MG1::instantiate
          H4::instantiate
          RT1::instantiate
        end

        def dpin_constant
          12000
        end

        def constants
          {
            "DP1" => constants_default_value,
            "DP3" => constants_default_value,
            "T1" => constants_default_value,
            "T2" => constants_default_value,
            "T3" => constants_default_value,
            "T4" => constants_default_value,
            "T5" => constants_default_value,
            "T6" => constants_default_value,
            "T7" => constants_default_value,
            "T8" => constants_default_value,
            "T9" => constants_default_value,
            "T10" => constants_default_value,
            "T11" => constants_default_value
          }
        end

        def type
          "modular"
        end
      end
    end
  end
end

