module OpcuaDeviceDefinitions
  module Modular
    class HTT1 < ModularDevice
      class << self
        def name
          "HTT1"
        end

        def connectors
          {
            "trunk-in" => {
              "type": "input",
              "variable": "S1",
              "priority": 0,
              "action_delay": 250
            },
            "trunk-transfer" => {
              "type": "other",
              "variable": "S2",
            },
            "trunk-out" => {
              "type": "output",
              "variable": "S3",
            },
            "feed-in1" => {
              "type": "input",
              "variable": "S4",
              "priority": 1,
              "action_delay": 250
            },
            "feed-transfer1" => {
              "type": "other",
              "variable": "S5",
            },
            "feed-out1" => {
              "type": "output",
              "variable": "S6",
            },
            "kickout" => {
              "type": "output",
              "variable": "S7",
            },
            "feed-in2" => {
              "type": "input",
              "variable": "S8",
              "priority": 2,
              "action_delay": 250
            },
            "feed-transfer2" => {
              "type": "other",
              "variable": "S9",
            },
            "feed-out2" => {
              "type": "output",
              "variable": "S10",
            }
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk-in trunk-transfer trunk-out)
            },
            {
              command: "CT",
              parameter: "1",
              path: %w(trunk-in trunk-transfer feed-transfer1 feed-out1)
            },
            {
              command: "CT",
              parameter: "2",
              path: %w(trunk-in trunk-transfer feed-transfer1 kickout)
            },
            {
              command: "CT",
              parameter: "3",
              path: %w(trunk-in trunk-transfer feed-transfer2 feed-out2)
            },
            {
              command: "CF1",
              parameter: "0",
              path: %w(feed-in1 feed-transfer1 trunk-transfer trunk-out)
            },
            {
              command: "CF1",
              parameter: "1",
              path: %w(feed-in1 feed-transfer1 feed-out1)
            },
            {
              command: "CF1",
              parameter: "2",
              path: %w(feed-in1 feed-transfer1 kickout)
            },
            {
              command: "CF1",
              parameter: "3",
              path: %w(feed-in1 feed-transfer1 trunk-transfer feed-transfer2 feed-out2)
            },

            {
              command: "CF2",
              parameter: "0",
              path: %w(feed-in2 feed-transfer2 trunk-transfer trunk-out)
            },
            {
              command: "CF2",
              parameter: "1",
              path: %w(feed-in2 feed-transfer2 trunk-transfer feed-transfer1 feed-out1)
            },
            {
              command: "CF2",
              parameter: "2",
              path: %w(feed-in2  feed-transfer2 trunk-transfer feed-transfer1 kickout)
            },
            {
              command: "CF2",
              parameter: "3",
              path: %w(feed-in2 feed-transfer2 feed-out2)
            }
          ]
        end
      end
    end
  end
end

