module OpcuaDeviceDefinitions
  module Modular
    class RT1 < ModularDevice
      class << self
        def name
          "RT1"
        end

        def connectors
          {
            "trunk-in" => {
              "type": "input",
              "variable": "S1",
              "priority": 0,
              "action_delay": 250
            },
            "trunk-out1" => {
              "type": "output",
              "variable": "S2",
            },
            "trunk-out2" => {
              "type": "output",
              "variable": "S3",
            },
            "trunk-out3" => {
              "type": "output",
              "variable": "S4",
            },
            "trunk-out4" => {
              "type": "output",
              "variable": "S5",
            },
            "trunk-out5" => {
              "type": "output",
              "variable": "S6",
            },
            "trunk-out6" => {
              "type": "output",
              "variable": "S7",
            },
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk-in trunk-out1)
            },
            {
              command: "CT",
              parameter: "1",
              path: %w(trunk-in trunk-out2)
            },
            {
              command: "CT",
              parameter: "2",
              path: %w(trunk-in trunk-out3)
            },
            {
              command: "CT",
              parameter: "3",
              path: %w(trunk-in trunk-out4)
            },
            {
              command: "CT",
              parameter: "4",
              path: %w(trunk-in trunk-out5)
            },
            {
              command: "CT",
              parameter: "5",
              path: %w(trunk-in trunk-out6)
            },
          ]
        end
      end
    end
  end
end

