module OpcuaDeviceDefinitions
  module Modular
    class SC < ModularDevice
      class << self
        def name
          "SC"
        end

        def all_in_one
          true
        end

        def delay_command_complete
          1000
        end

        def constants
          {
            "DP1" => constants_default_value
          }
        end

        def connectors
          {
            "trunk" => {
              "type": "input",
              "variable": "S1",
              "priority": 1,
              "action_delay": 250
            }
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk)
            }
          ]
        end
      end
    end
  end
end

