module OpcuaDeviceDefinitions
  module Ncc
    class DG1 < NccDevice
      class << self
        def name
          "DG1"
        end

        def constants
          {
            "DP1" => constants_default_value,
            "T2" => constants_default_value,
            "D12" => dpin_constant,
            "D13" => dpin_constant,
          }
        end

        def connectors
          {
            "trunk-in" => {
              "type": "input",
              "variable": "S1",
              "priority": 0,
              "action_delay": 250
            },
            "trunk-out" => {
              "type": "output",
              "variable": "S2",
            },
            "feed-out" => {
              "type": "output",
              "variable": "S3",
            }
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk-in trunk-out)
            },
            {
              command: "CT",
              parameter: "1",
              path: %w(trunk-in feed-out)
            }
          ]
        end
      end
    end
  end
end

