module OpcuaDeviceDefinitions
  module Ncc
    class MG1 < NccDevice
      class << self
        def name
          "MG1"
        end

        def constants
          {
            "DP1" => constants_default_value,
            "DP2" => constants_default_value,
            "T2" => constants_default_value,
          }
        end

        def connectors
          {
            "trunk-in" => {
              "type": "input",
              "variable": "S1",
              "priority": 0,
              "action_delay": 250
            },
            "feed-in" => {
              "type": "input",
              "variable": "S2",
              "priority": 1,
              "action_delay": 250
            },
            "trunk-out" => {
              "type": "output",
              "variable": "S3",
            }
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk-in trunk-out)
            },
            {
              command: "CF",
              parameter: "0",
              path: %w(feed-in trunk-out)
            }
          ]
        end
      end
    end
  end
end

