class OpcuaMachine < Machine

  def get_json
    {
        identifier: self.component[:name],
        isMESMachine: self.sn.nil? ? false : true,
        processingDuration: self.force_duration,
        forcedState: self.machine_state,
        process: self.job_process ? {
          name: self.job_process.name,
          capabilities: self.capability_machines.where(enabled: true).map {|capability_machine| capability_machine.capability.name}
        } : nil,
        connectors: self.component.connectors.map do |connector|
          {
              name: connector[:name],
              state: connector[:state],
              type: connector[:connector_type]
          }
        end
    }
  end

  def controller_name
    "MachinesController"
  end

  after_create do
    ActionCable.server.broadcast "everything", {
        model: JSON.parse(render_jbuilder_partial),
        class: Machine.name,
        action: :create
    }
  end

  after_update do
    ActionCable.server.broadcast "everything", {
        model: JSON.parse(render_jbuilder_partial),
        class: Machine.name,
        action: :update
    }
  end

  after_destroy do
    ActionCable.server.broadcast "everything", {
        model: JSON.parse(render_jbuilder_partial),
        class: Machine.name,
        action: :destroy
    }
  end
end
