class Tag < ApplicationRecord
  validates :tag, uniqueness: true

  class << self
    def seed
      Tag.new(tag: 'lens', value_type: 'string', default_value: "", system_tag: true).save if Tag.find_by(tag: 'lens').nil?
      Tag.new(tag: 'processes', value_type: 'string', default_value: "", system_tag: true).save if Tag.find_by(tag: 'processes').nil?
    end
  end

  def is_string_type?
    value_type == "string"
  end

  def has_default_value?
    return true unless default_value.nil?
    false
  end


end