class CompleteScheduledProcessChange < RxModule::Routine
  class << self
    def frequency
      '5s'
    end

    def work
      ScheduledProcessChange.where("complete_at <= ?", DateTime.now).find_each do |change|
        job = change.job
        machine = change.machine

        unless job.nil? || machine.nil?
          if machine.job_process.nil?
            return Rails::logger.info "Unable to finish scheduled process for job #{job.number} - source no longer has a process."
          end

          if job.required_process_started?(machine.job_process)
            job.do_delayed_process_change_for_router(machine.job_process, RequiredProcess.finished, machine)
          else
            Rails::logger.info "Unable to finish scheduled process for job #{job.number} - process is no longer in started state."
          end
        end
        change.destroy!
      end
    end
  end
end