Rails.configuration.after_initialize do # once Rails has loaded everything
  RxModule::Environment.run_site do # don't run in rake tasks or rails console
    begin
      info = {
          id: 'router_api',
          port: 3011
      }
      RxModule::Communicator.call_module_method('rx_hub', '/api/components/register_api_component', :post, info)
    rescue StandardError => err
      Rails.logger.warn { {msg: "Hub may not be reachable", url: RxModule::Communicator.hub_url}}
    end
  end
end