# Puma can serve each request in a thread from an internal thread pool.
# The threads method setting takes two numbers: a minimum and maximum.
# Any libraries that use thread pools should be configured to match
# the maximum value specified for Puma. Default is set to 5 threads for minimum
# and maximum; this matches the default thread size of Active Record.
#
max_threads_count = ENV.fetch("RAILS_MAX_THREADS", 5)
min_threads_count = ENV.fetch("RAILS_MIN_THREADS", max_threads_count)
threads min_threads_count, max_threads_count

# Specifies the environment that Puma will run in.
#
environment ENV.fetch("RAILS_ENV") { "development" }

# Specifies the pidfile that Puma will use.
pidfile ENV.fetch("PIDFILE") { "tmp/pids/server.pid" }

module_port = ENV.fetch("MODULE_PORT", 3000)
ssl_key_path = ENV["SSL_KEY"]
ssl_certificate_path = ENV["SSL_CERTIFICATE"]
if ssl_key_path && ssl_certificate_path
  bind "ssl://0.0.0.0:#{module_port}?key=#{ssl_key_path}&cert=#{ssl_certificate_path}"
else
  bind "tcp://0.0.0.0:#{module_port}"
end

# Allow puma to be restarted by rails restart command.
plugin :tmp_restart