class CreateMachines < ActiveRecord::Migration[6.0]
  def change
    create_table :machines do |t|
      t.belongs_to :job_process
      t.belongs_to :component
      t.integer :force_duration
      t.string :forced_state
      t.string :last_reported_state
      t.string :sn
      t.integer :rx_data_id
      t.string :type, null: false

      t.timestamps
    end

    create_table :job_processes do |t|
      t.string :name
      t.integer :rank

      t.timestamps
    end

    create_table :capabilities do |t|
      t.belongs_to :job_process
      t.string :name

      t.timestamps
    end

    create_table :capabilities_machines, id: false do |t|
      t.belongs_to :machine
      t.belongs_to :capability
    end

    add_index :capabilities_machines, [:machine_id, :capability_id], :unique => true, :name => 'index_capabilities_machines_on_machine_id_and_capability_id'

    create_table :mes_machine_states do |t|
      t.belongs_to :mes_machine
      t.string :name
      t.boolean :online
    end
  end
end
