class CreateJobs < ActiveRecord::Migration[6.0]
  def change
    create_table :jobs do |t|
      t.string :number
      t.string :location
      t.string :connector
      t.string :state
      t.boolean :active
      t.string :reject_reason
      t.string :reject_description

      t.timestamps
    end

    create_table :job_histories do |t|
      t.string :event_type
      t.string :location
      t.string :connector
      t.string :state
      t.text :processes
      t.boolean :active
      t.boolean :is_estimated
      t.string :reject_reason
      t.belongs_to :job

      t.timestamps
    end

    create_table :pending_tag_requests do |t|
      t.belongs_to :job

      t.timestamps
    end

    create_table :required_processes do |t|
      t.belongs_to :job
      t.belongs_to :job_process
      t.string :side
      t.string :state
      t.string :force_to_machine

      t.timestamps
    end

    create_table :required_process_state_histories do |t|
      t.belongs_to :required_process
      t.string :state
      t.string :source

      t.timestamps
    end

    create_table :capability_required_processes do |t|
      t.belongs_to :capability
      t.belongs_to :required_process

      t.timestamps
    end
  end
end
