class AddEnabledAndTimestampsToCapabilitiesMachines < ActiveRecord::Migration[6.0]
  def up
    add_and_backfill_activated
    add_and_backfill_timestamps
  end

  def down
    remove_column :capability_machines, :enabled
    remove_column :capability_machines, :created_at
    remove_column :capability_machines, :updated_at
  end

  def add_and_backfill_activated
    add_column :capability_machines, :enabled, :boolean, :default => true
    CapabilityMachine.update_all(enabled: true)
  end

  def add_and_backfill_timestamps
    add_timestamps :capability_machines, null: true
    CapabilityMachine.update_all(created_at: now, updated_at: now)
  end

  def now
    Time.zone.now
  end
end
