class FixTimes < ActiveRecord::Migration[6.0]
  def tables
    %w(required_process_state_histories)
  end

  def mssql?
    (defined? ActiveRecord::ConnectionAdapters::SQLServerAdapter) && ActiveRecord::Base.connection.instance_of?(ActiveRecord::ConnectionAdapters::SQLServerAdapter)
  end

  def update_times(offset)
    tables.each do |table|
      sql = if mssql?
        <<~SQL
          update #{table} set job_state_timestamp = dateadd(SECOND, #{offset}, job_state_timestamp)
        SQL
      else
        <<~SQL
          update #{table} set job_state_timestamp = job_state_timestamp + INTERVAL '#{offset} seconds'
        SQL
      end
      execute sql
    end
  end

  def up
    update_times -Time.zone.utc_offset
  end

  def down
    update_times Time.zone.utc_offset
  end
end
