class SplitSettingsTableBetweenRouterInformationAndSettingsInformation < ActiveRecord::Migration[6.0]
  def up
    create_table :job_router_controls do |t|
      t.string :status, :default => "offline"
      t.string :last_server_message
      t.boolean :rx_data_online
      t.boolean :lms_online
      t.timestamps
    end

    remove_column :settings, :router_status
    remove_column :settings, :last_server_message
    remove_column :settings, :is_lms_online

    remove_column :settings, :opcua_value_change
    remove_column :settings, :full_decision_on_failed_path
  end

  def down
    add_column :settings, :router_status, :string, :default => 'offline'
    add_column :settings, :last_server_message, :string
    add_column :settings, :is_lms_online, :boolean, :default => false

    #While these columns are not used for anything, they must be re-added for the 'up' migration to work
    add_column :settings, :opcua_value_change, :string
    add_column :settings, :full_decision_on_failed_path, :boolean

    drop_table :job_router_controls
  end
end
