class NodeManager
  def self.start
    return @process if @process
    require 'socket'

    # Force the process cache to clear so next job call reloads the processes
    JobProcessCalculator.instance.clear_cache!

    ip = Socket.ip_address_list.detect{|intf| intf.ipv4_private?}
    @process = spawn("router.exe --serverPort=#{ENV['ROUTER_SERVER_PORT']} --routingPort=#{ENV['MODULE_PORT']} --logLevel=verbose --mode=production")
    @thread = Process.detach @process
    Dir.chdir(Rails.root) do
      File.open("./tmp/pids/router.pid", 'a') do |f|
        f.puts "#{@process}"
      end
    end
    Dir.chdir(Rails.root) do
      File.open("./service-log.txt", 'a') do |f|
        f.puts "pid is #{@process}"
        f.puts "thread pid is #{@thread.pid}"
      end
    end
  end

  def self.stop
    if @process
      Dir.chdir(Rails.root) do
        File.open("./service-log.txt", 'a') do |f|
          f.puts "Sending stop connection to websocket"
          begin
            @thread.kill
            @process = nil
          rescue StandardError => err
            f.puts err
          end
        end
      end
    end
  end
end